package com.as.service.impl;
import java.util.List;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.as.service.UserService;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.as.controller.userContorller;
import com.as.dao.UserData;
import com.as.mapper.UserMapper;
@Service
public class UserServiceImpl  implements UserService{
	private static Logger logger = Logger.getLogger(UserServiceImpl.class);
	@Autowired
	private UserMapper mapper;
	@Override
	public List<UserData> find(UserData userData) {
		 logger.info("进入find方法，接收到数据data:" + userData.toString());
		 //		 QueryWrapper<UserData> queryWrapper = new QueryWrapper<>();
		 
		 //		 queryWrapper.eq("user_name",userData.getUserName());

	     LambdaQueryWrapper<UserData> queryWrapper = new LambdaQueryWrapper<>();
	     queryWrapper.eq(userData.getUserName() != null,UserData::getUserName,userData.getUserName());
	     queryWrapper.eq(userData.getUserId() != null,UserData::getUserId,userData.getUserId());
	     queryWrapper.eq(userData.getUserPhone() != null,UserData::getUserPhone,userData.getUserPhone());
	     queryWrapper.eq(userData.getPwd() != null,UserData::getPwd,userData.getPwd());

		 List<UserData> userList = mapper.selectList(queryWrapper);
		 return userList;
		
	}
	@Override
	public Integer add(UserData userData) {		
		return mapper.insert(userData);
	}
}
